用語集サイトマップ
topics

 マイクロソフト社のセキュリティ修正プログラムについて(MS12-043,044,045,046,047,048,049,050,051)2012年07月11日

平成24年7月11日
警察庁

マイクロソフト社のセキュリティ修正プログラムについて(MS12-043,044,045,046,047,048,049,050,051)

 マイクロソフト社の製品において、意図しないプログラムを実行されるなどの脆弱性が発見されました。
 この脆弱性は、マイクロソフト社により定義された4段階の深刻度評価のうち、最上位の「緊急(Critical)」が含まれていますので、該当するプログラムを使用している場合は、今後の被害防止のために以下の対策を行うことをお勧めします。

1 概要

(1) XML コアサービスに脆弱性があります。攻撃者によりこの脆弱性が悪用された場合、リモートでコードが実行される可能性があります。(MS12-043)
(2) Internet Explorer に累積的な脆弱性があります。攻撃者によりこの脆弱性が悪用された場合、リモートでコードが実行される可能性があります。(MS12-044)
(3) Microsoft Data Access Components に脆弱性があります。攻撃者によりこの脆弱性が悪用された場合、リモートでコードが実行される可能性があります。(MS12-045)
(4) Microsoft Visual Basic for Applications に脆弱性があります。攻撃者によりこの脆弱性が悪用された場合、リモートでコードが実行される可能性があります。(MS12-046)
(5) Windows カーネルモード ドライバー に脆弱性があります。攻撃者によりこの脆弱性が悪用された場合、特権の昇格が起こる可能性があります。(MS12-047)
(6) Windows シェルに脆弱性があります。攻撃者によりこの脆弱性が悪用された場合、リモートでコードが実行される可能性があります。(MS12-048)
(7) TLS に脆弱性があります。攻撃者によりこの脆弱性が悪用された場合、情報漏えいが起こる可能性があります。(MS12-049)
(8) SharePoint に脆弱性があります。攻撃者によりこの脆弱性が悪用された場合、特権の昇格が起こる可能性があります。(MS12-050)
(9) Microsoft Office for Mac に脆弱性があります。攻撃者によりこの脆弱性が悪用された場合、特権の昇格が起こる可能性があります。(MS12-051)

2 脆弱性を有するソフトウェア

 マイクロソフト社の情報によると、脆弱性の問題があるバージョンは以下のとおりです。

上記(1)の脆弱性

  • Windows XP Service Pack 3 上の Microsoft XML コア サービス 3.0、Microsoft XML コア サービス 4.0 及び Microsoft XML コア サービス 6.0
  • Windows XP Professional x64 Edition Service Pack 2 上の Microsoft XML コア サービス 3.0、Microsoft XML コア サービス 4.0 及び Microsoft XML コア サービス 6.0
  • Windows Server 2003 Service Pack 2 上の Microsoft XML コア サービス 3.0、Microsoft XML コア サービス 4.0 及び Microsoft XML コア サービス 6.0
  • Windows Server 2003 x64 Edition Service Pack 2 上の Microsoft XML コア サービス 3.0、Microsoft XML コア サービス 4.0 及び Microsoft XML コア サービス 6.0
  • Windows Server 2003 with SP2 for Itanium-based Systems 上の Microsoft XML コア サービス 3.0、Microsoft XML コア サービス 4.0 及び Microsoft XML コア サービス 6.0
  • Windows Vista Service Pack 2 上の Microsoft XML コア サービス 3.0、Microsoft XML コア サービス 4.0 及び Microsoft XML コア サービス 6.0
  • Windows Vista x64 Edition Service Pack 2 上の Microsoft XML コア サービス 3.0、Microsoft XML コア サービス 4.0 及び Microsoft XML コア サービス 6.0
  • Windows Server 2008 for 32-bit Systems Service Pack 2 上の Microsoft XML コア サービス 3.0、Microsoft XML コア サービス 4.0 及び Microsoft XML コア サービス 6.0
    (Server Core インストールは影響を受けません)
  • Windows Server 2008 for x64-based Systems Service Pack 2 上の Microsoft XML コア サービス 3.0、Microsoft XML コア サービス 4.0 及び Microsoft XML コア サービス 6.0
    (Server Core インストールは影響を受けません)
  • Windows Server 2008 for Itanium-based Systems Service Pack 2 上の Microsoft XML コア サービス 3.0、Microsoft XML コア サービス 4.0 及び Microsoft XML コア サービス 6.0
  • Windows 7 for 32-bit Systems 上の Microsoft XML コア サービス 3.0、Microsoft XML コア サービス 4.0 及び Microsoft XML コア サービス 6.0
  • Windows 7 for 32-bit Systems Service Pack 1 上の Microsoft XML コア サービス 3.0、Microsoft XML コア サービス 4.0 及び Microsoft XML コア サービス 6.0
  • Windows 7 for x64-based Systems 上の Microsoft XML コア サービス 3.0、Microsoft XML コア サービス 4.0 及び Microsoft XML コア サービス 6.0
  • Windows 7 for x64-based Systems Service Pack 1 上の Microsoft XML コア サービス 3.0、Microsoft XML コア サービス 4.0 及び Microsoft XML コア サービス 6.0
  • Windows Server 2008 R2 for x64-based Systems 上の Microsoft XML コア サービス 3.0、Microsoft XML コア サービス 4.0 及び Microsoft XML コア サービス 6.0
    (Server Core インストールは影響を受けません)
  • Windows Server 2008 R2 for x64-based Systems Service Pack 1 上の Microsoft XML コア サービス 3.0、Microsoft XML コア サービス 4.0 及び Microsoft XML コア サービス 6.0
    (Server Core インストールは影響を受けません)
  • Windows Server 2008 R2 for Itanium-based Systems 上の Microsoft XML コア サービス 3.0、Microsoft XML コア サービス 4.0 及び Microsoft XML コア サービス 6.0
  • Windows Server 2008 R2 for Itanium-based Systems Service Pack 1 上の Microsoft XML コア サービス 3.0、Microsoft XML コア サービス 4.0 及び Microsoft XML コア サービス 6.0
  • Microsoft Office 2003 Service Pack 3 の Microsoft XML コア サービス 5.0
  • Microsoft Office 2007 Service Pack 2 の Microsoft XML コア サービス 5.0
  • Microsoft Office 2007 Service Pack 3 の Microsoft XML コア サービス 5.0
  • Microsoft Office Word Viewer の Microsoft XML コア サービス 5.0
  • Microsoft Office 互換機能パック Service Pack 2 の Microsoft XML コア サービス 5.0
  • Microsoft Office 互換機能パック Service Pack 3 の Microsoft XML コア サービス 5.0
  • Microsoft Expression Web Service Pack 1 の Microsoft XML コア サービス 5.0
  • Microsoft Expression Web 2 の Microsoft XML コア サービス 5.0
  • Microsoft Office SharePoint Server 2007 Service Pack 2 (32 ビット版) の Microsoft XML コア サービス 5.0
  • Microsoft Office SharePoint Server 2007 Service Pack 2 (64 ビット版) の Microsoft XML コア サービス 5.0
  • Microsoft Office SharePoint Server 2007 Service Pack 3 (32 ビット版) の Microsoft XML コア サービス 5.0
  • Microsoft Office SharePoint Server 2007 Service Pack 3 (64 ビット版) の Microsoft XML コア サービス 5.0
  • Microsoft Groove Server 2007 Service Pack 2 の Microsoft XML コア サービス 5.0
  • Microsoft Groove Server 2007 Service Pack 3 の Microsoft XML コア サービス 5.0

上記(2)の脆弱性

  • Windows Vista Service Pack 2 上の Internet Explorer 9
  • Windows Vista x64 Edition Service Pack 2 上の Internet Explorer 9
  • Windows Server 2008 for 32-bit Systems Service Pack 2 上の Internet Explorer 9
    (Server Core インストールは影響を受けません)
  • Windows Server 2008 for x64-based Systems Service Pack 2 上の Internet Explorer 9
    (Server Core インストールは影響を受けません)
  • Windows 7 for 32-bit Systems 上の Internet Explorer 9
  • Windows 7 for 32-bit Systems Service Pack 1 上の Internet Explorer 9
  • Windows 7 for x64-based Systems 上の Internet Explorer 9
  • Windows 7 for x64-based Systems Service Pack 1 上の Internet Explorer 9
  • Windows Server 2008 R2 for x64-based Systems 上の Internet Explorer 9
    (Server Core インストールは影響を受けません)
  • Windows Server 2008 R2 for x64-based Systems Service Pack 1 上の Internet Explorer 9
    (Server Core インストールは影響を受けません)

上記(3)の脆弱性

  • Windows XP Service Pack 3 上の Microsoft Data Access Components 2.8 Service Pack 1
  • Windows XP Professional x64 Edition Service Pack 2 上の Microsoft Data Access Components 2.8 Service Pack 2
  • Windows Server 2003 Service Pack 2 上の Microsoft Data Access Components 2.8 Service Pack 2
  • Windows Server 2003 x64 Edition Service Pack 2 上の Microsoft Data Access Components 2.8 Service Pack 2
  • Windows Server 2003 with SP2 for Itanium-based Systems 上の Microsoft Data Access Components 2.8 Service Pack 2
  • Windows Vista Service Pack 2 上の Windows Data Access Components 6.0
  • Windows Vista x64 Edition Service Pack 2 上の Windows Data Access Components 6.0
  • Windows Server 2008 for 32-bit Systems Service Pack 2 上の Windows Data Access Components 6.0
    (Server Core インストールは影響を受けません)
  • Windows Server 2008 for x64-based Systems Service Pack 2 上の Windows Data Access Components 6.0
    (Server Core インストールは影響を受けません)
  • Windows Server 2008 for Itanium-based Systems Service Pack 2 上の Windows Data Access Components 6.0
  • Windows 7 for 32-bit Systems 上の Windows Data Access Components 6.0
  • Windows 7 for 32-bit Systems Service Pack 1 上の Windows Data Access Components 6.0
  • Windows 7 for x64-based Systems 上の Windows Data Access Components 6.0
  • Windows 7 for x64-based Systems Service Pack 1 上の Windows Data Access Components 6.0
  • Windows Server 2008 R2 for x64-based Systems 上の Windows Data Access Components 6.0
    (Server Core インストールは影響を受けません)
  • Windows Server 2008 R2 for x64-based Systems Service Pack 1 上の Windows Data Access Components 6.0
    (Server Core インストールは影響を受けません)
  • Windows Server 2008 R2 for Itanium-based Systems 上の Windows Data Access Components 6.0
  • Windows Server 2008 R2 for Itanium-based Systems Service Pack 1 上の Windows Data Access Components 6.0

上記(4)の脆弱性

  • Microsoft Office 2003 Service Pack 3
  • Microsoft Office 2007 Service Pack 2
  • Microsoft Office 2007 Service Pack 3
  • Microsoft Office 2010 (32 ビット版)
  • Microsoft Office 2010 Service Pack 1 (32 ビット版)
  • Microsoft Office 2010 (64 ビット版)
  • Microsoft Office 2010 Service Pack 1 (64 ビット版)
  • Microsoft Visual Basic for Applications
  • Microsoft Visual Basic for Applications SDK

上記(5)の脆弱性

  • Windows XP Service Pack 3
  • Windows XP Professional x64 Edition Service Pack 2
  • Windows Server 2003 Service Pack 2
  • Windows Server 2003 x64 Edition Service Pack 2
  • Windows Server 2003 with SP2 for Itanium-based Systems
  • Windows Vista Service Pack 2
  • Windows Vista x64 Edition Service Pack 2
  • Windows Server 2008 for 32-bit Systems Service Pack 2
    (Server Core インストールは影響を受けます)
  • Windows Server 2008 for x64-based Systems Service Pack 2
    (Server Core インストールは影響を受けます)
  • Windows Server 2008 for Itanium-based Systems Service Pack 2
  • Windows 7 for 32-bit Systems
  • Windows 7 for 32-bit Systems Service Pack 1
  • Windows 7 for x64-based Systems
  • Windows 7 for x64-based Systems Service Pack 1
  • Windows Server 2008 R2 for x64-based Systems
    (Server Core インストールは影響を受けます)
  • Windows Server 2008 R2 for x64-based Systems Service Pack 1
    (Server Core インストールは影響を受けます)
  • Windows Server 2008 R2 for Itanium-based Systems
  • Windows Server 2008 R2 for Itanium-based Systems Service Pack 1

上記(6)の脆弱性

  • Windows XP Service Pack 3
  • Windows XP Professional x64 Edition Service Pack 2
  • Windows Server 2003 Service Pack 2
  • Windows Server 2003 x64 Edition Service Pack 2
  • Windows Server 2003 with SP2 for Itanium-based Systems
  • Windows Vista Service Pack 2
  • Windows Vista x64 Edition Service Pack 2
  • Windows Server 2008 for 32-bit Systems Service Pack 2
    (Server Core インストールは影響を受けます)
  • Windows Server 2008 for x64-based Systems Service Pack 2
    (Server Core インストールは影響を受けます)
  • Windows Server 2008 for Itanium-based Systems Service Pack 2
  • Windows 7 for 32-bit Systems
  • Windows 7 for 32-bit Systems Service Pack 1
  • Windows 7 for x64-based Systems
  • Windows 7 for x64-based Systems Service Pack 1
  • Windows Server 2008 R2 for x64-based Systems
    (Server Core インストールは影響を受けます)
  • Windows Server 2008 R2 for x64-based Systems Service Pack 1
    (Server Core インストールは影響を受けます)
  • Windows Server 2008 R2 for Itanium-based Systems
  • Windows Server 2008 R2 for Itanium-based Systems Service Pack 1

上記(7)の脆弱性

  • Windows XP Service Pack 3
  • Windows XP Professional x64 Edition Service Pack 2
  • Windows Server 2003 Service Pack 2
  • Windows Server 2003 x64 Edition Service Pack 2
  • Windows Server 2003 with SP2 for Itanium-based Systems
  • Windows Vista Service Pack 2
  • Windows Vista x64 Edition Service Pack 2
  • Windows Server 2008 for 32-bit Systems Service Pack 2
    (Server Core インストールは影響を受けます)
  • Windows Server 2008 for x64-based Systems Service Pack 2
    (Server Core インストールは影響を受けます)
  • Windows Server 2008 for Itanium-based Systems Service Pack 2
  • Windows 7 for 32-bit Systems
  • Windows 7 for 32-bit Systems Service Pack 1
  • Windows 7 for x64-based Systems
  • Windows 7 for x64-based Systems Service Pack 1
  • Windows Server 2008 R2 for x64-based Systems
    (Server Core インストールは影響を受けます)
  • Windows Server 2008 R2 for x64-based Systems Service Pack 1
    (Server Core インストールは影響を受けます)
  • Windows Server 2008 R2 for Itanium-based Systems
  • Windows Server 2008 R2 for Itanium-based Systems Service Pack 1

上記(8)の脆弱性

  • Microsoft InfoPath 2007 Service Pack 2
  • Microsoft InfoPath 2007 Service Pack 3
  • Microsoft InfoPath 2010 (32 ビット版)
  • Microsoft InfoPath 2010 Service Pack 1 (32 ビット版)
  • Microsoft InfoPath 2010 (64 ビット版)
  • Microsoft InfoPath 2010 Service Pack 1 (64 ビット版)
  • Microsoft Office SharePoint Server 2007 Service Pack 2 (32 ビット版)
  • Microsoft Office SharePoint Server 2007 Service Pack 3 (32 ビット版)
  • Microsoft Office SharePoint Server 2007 Service Pack 2 (64 ビット版)
  • Microsoft Office SharePoint Server 2007 Service Pack 3 (64 ビット版)
  • Microsoft SharePoint Server 2010
  • Microsoft SharePoint Server 2010 Service Pack 1
  • Microsoft Groove Server 2010
  • Microsoft Groove Server 2010 Service Pack 1
  • Microsoft Windows SharePoint Services 3.0 Service Pack 2 (32 ビット版)
  • Microsoft Windows SharePoint Services 3.0 Service Pack 2 (64 ビット版)
  • Microsoft SharePoint Foundation 2010
  • Microsoft SharePoint Foundation 2010 Service Pack 1
  • Microsoft Office Web Apps 2010
  • Microsoft Office Web Apps 2010 Service Pack 1

上記(9)の脆弱性

  • Microsoft Office for Mac 2011

3 対策

 マイクロソフト社のサイト(4 関連サイト参照)から適切なパッチをダウンロードし、適用してください。
 パッチの適用作業は、利用するアプリケーションへの影響を考慮した上で行ってください。

4 関連サイト